#include <iostream>
#include <iomanip>

using namespace std;

int main()
{
    int n;
    cin >> n;
    double a[n], p[n], z1 = 0, m = 0;
    for (int i = 0; i < n; i++){
        cin >> a[i] >> p[i];
        z1 = z1 + a[i];
    }
    for (int i = 0; i < n; i++){
        int z2 = z1;
        for (int j = 0; j < n; j++)
            if (p[j] < p[i]) z2 = z2 - a[j];
        if (z2 * p[i] / 100 > m) m = z2 * p[i] / 100;
    }
    cout << setprecision(2) << fixed << m;
	return 0;
}